Subject: Re: bug#56960: [PATCH] * gnu: Add siglo.

From: Jaft <[email-masked]>
Date: Tue, 16 May 2023 17:19:57 +0000 (UTC)

Well, my naïve attempt of adding ~#:modules '((guix utils))~ (I'm not sure why I referred to that as ~#:import~, in my last E-mail…) didn't work; I just get back a "no code for module (guix utils)", in the logs.

I'm afraid I really don't understand why ~version-major+minor~ cannot be found, even with ~(guix utils)~ added as a module at the top level, or how to get around this.

On Friday, March 17, 2023 at 11:03:06 AM CDT, Jaft <[email-masked]> wrote: 

Hey, Ludovic.

I'd asked in my last E-mail if anyone was able to demonstrate what ~search-path-as-list~ might look like, especially within the context of using G-Expressions.

I hadn't been able to find any examples of ~search-path-as-list~ in the repo. which easily made it clear to me.

Playing around with it, the other day, things seemed to almost work with:

> (arguments (list #:glib-or-gtk? #t
>                  #:phases       #~(modify-phases %standard-phases
>                                     (add-before 'configure 'remove-internet-using-test
>                                       (lambda _
>                                         (substitute* "data/meson.build"
>                                           (("appstream_util.found\\(\\)")              "false")
>                                           (((string-append
>                                               "install_data[(]'siglo\\.service', "
>                                               "install_dir: '/etc/systemd/user/'[)]")) ""))))
>                                     (add-after 'glib-or-gtk-wrap 'python-and-gi-wrap
>                                       (lambda* (#:key outputs inputs #:allow-other-keys)
>                                         (wrap-program (string-append #$output "/bin/siglo")
>                                           `("GUIX_PYTHONPATH" = ,(search-path-as-list
>                                                                    `(,(string-append "/lib/python"
>                                                                                      (version-major+minor
>                                                                                       (package-version python))
>                                                                                      "/site-packages"))
>                                                                    (map
>                                                                      cdr
>                                                                      (filter
>                                                                        (lambda (input)
>                                                                          (string-prefix? "python" (car input)))
>                                                                        inputs))))
>                                           `("GI_TYPELIB_PATH" = (,(getenv "GI_TYPELIB_PATH")))))))))

Was this similar to what was in mind? I'm getting an error of "Unbound variable: version-major+minor"; I'm guessing I need to import "(guix utils)" through "#:import" but I'm not terribly familiar with that usage (or even the why and nuances thereof).

On Thursday, March 16, 2023 at 05:19:26 AM CDT, Ludovic Courtès <[email-masked]> wrote: 

Hi Jaft,

Jaft <[email-masked]> skribis:

> Just checking back in on this one.

I think we’re waiting for a second version of this patch from you,
taking into account comments that were made.

Could you send it or let us know if anything’s unclear?

Thanks in advance,
Ludovic.